
Redmine - Defect #18777

Moving column to top of "Select Columns" results in loss of all other column selections

2015-01-08 05:22 - Randy Syring

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.6.1   

Resolution: Fixed Affected version: 2.6.0

Description

Workflow to reproduce:

1. choose a parent project that has sub-projects, click in Issues

2. by default, six columns are shown

3. expand options -> choose "Project" -> click right arrow to move it to "Selected Columns"

4. click the double up arrow (or click single up arrow multiple times) to move "Project" to the top of "Selected Columns"

5. click Apply

Expected: seven columns with "Project" being the first column after the issue id.

Result: only the Project column stays selected.  The page, when it returns, has a column for Project and the issue id, but all the other

columns are no longer displayed.

Further Information

After more digging, its worse than just moving it to the top.  Every time you move a column up in "Selected Columns" you lose the

columns under it as selected when you click apply.

Environment:

Redmine version                2.6.0.stable

Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

Rails version                  3.2.21

Environment                    production

Database adapter               PostgreSQL

SCM:

Mercurial                      2.8.2

Filesystem

Redmine plugins:

redmine_checklists             3.0.2

redmine_drafts                 0.2.0

Related issues:

Has duplicate Redmine - Defect #18788: Not all columns are saved after their ... Closed

Associated revisions

Revision 13869 - 2015-01-10 22:22 - Jean-Philippe Lang

Merged r13615 (#18777).

History

#1 - 2015-01-10 22:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.1

- Resolution set to Fixed

Fixed in r13869, thanks for pointing this out.
https://www.redmine.org/projects/redmine/repository/svn/revisions/13869


#2 - 2015-01-10 22:23 - Jean-Philippe Lang

- Has duplicate Defect #18788: Not all columns are saved after their reordering in a custom query added
